<template>
  <v-container>
    <div class="login-page d-flex flex-column justify-center mx-3">
      <v-container>
        <v-row justify="center" align="center">
          <v-col cols="12" sm="6" md="4" xl="3">
            <div class="d-flex justify-center mb-12">
              <v-img
                contain
                max-height="200"
                max-width="200"
                src="@/assets/yogya-logo.png"
              ></v-img>
            </div>
            <formLogin :loading="loading" @onFormSubmit="onSubmit" />
          </v-col>
        </v-row>
      </v-container>
    </div>
    <!-- <AppModalNotif type="type" v-model="showNotif" :message="notifMessage" /> -->
  </v-container>
</template>
<script>
import Cookies from "js-cookie";
import loginFrom from "./components/loginPage";
// import AppModalNotif from "@/components/AppModalNotif";
export default {
  name: "Login",
  data() {
    return {
      notifMessage: "",
      showNotif: false,
      loading: false,
      type: ""
    };
  },
  components: {
    formLogin: loginFrom
    // AppModalNotif
  },
  methods: {
    onSubmit({ nik, password }) {
      this.loading = true;
      var tempProduct = {};

      tempProduct.username_jwt = "sails";
      tempProduct.password_jwt = "sails123";
      tempProduct.emp_no = nik;
      tempProduct.password = password;
      var formData = new FormData();
      for (var key in tempProduct) {
        formData.append(key, tempProduct[key]);
      }

      this.$store.commit("auth/SET_DATALOGIN", formData);
      this.$store
        .dispatch("auth/doLogin")
        .then(response => {
          const res = response.data;
          if (res.status) {
            Cookies.set("token", res.data.token, { expires: 1 });
            this.$swal("Success!!!");
            this.$router.go();
          } else {
            this.$swal("warning", "Failed!!!", "warning");
          }
        })
        .catch(error => {
          const message = error.response.data.status.message;
          if (error.response.status === 400) {
            this.notifMessage = message;
            this.$swal(this.notifMessage);
          } else {
            this.notifMessage = message;
            this.$swal(this.notifMessage);
          }
        });
    }
  }
};
</script>
